//
//  ViewController.m
//  LZWArrowView
//
//  Created by LZW on 2016/12/6.
//  Copyright © 2016年 LZW. All rights reserved.
//

#import "ViewController.h"
#import "LCArrowTableView.h"

#define ScreenFrame     [UIScreen mainScreen].bounds
#define ScreenSize      [UIScreen mainScreen].bounds.size
#define SCREENWIDTH     [UIScreen mainScreen].bounds.size.width
#define SCREENHEIGHT    [UIScreen mainScreen].bounds.size.height

@interface ViewController ()<SelectIndexPathDelegate>

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
}
- (IBAction)upLeftAction:(UIButton *)sender {
    
    CGRect rect1 = [sender convertRect:sender.frame fromView:self.view];
    UIWindow* window = [UIApplication sharedApplication].keyWindow;
    CGRect rect2 = [sender convertRect:rect1 toView:window];         //获取button在window的位置
    
    CGRect rect3 = CGRectInset(rect2, -0.5 * 8, -0.5 * 8);
    
    CGPoint point;
    //获取控件相对于window的   中心点坐标
    point = CGPointMake(rect3.origin.x + rect3.size.width / 2 ,rect3.origin.y + rect3.size.height / 2  );
    
    LCArrowTableView * _popView = [[LCArrowTableView alloc] initWithFrame:CGRectMake(0, 0, ScreenSize.width, ScreenSize.height) Origin:point Width:120 Height:72 Type:Type_UpLeft Color:[UIColor colorWithRed:0.2737 green:0.2737 blue:0.2737 alpha:1.0] ];
    
    _popView.backView.layer.cornerRadius = 5;
    
    _popView.dataArray       = @[@"测试1", @"测试2"];
    _popView.images          = @[@"1",@"2"];
    
    _popView.row_height      = 36;
    _popView.delegate        = self;
    _popView.titleTextColor  = [UIColor colorWithRed:0.2669 green:0.765 blue:1.0 alpha:1.0];
    [_popView popView];
    
}
- (IBAction)upRightAction:(UIButton *)sender {
    
    CGRect rect1 = [sender convertRect:sender.frame fromView:self.view];
    UIWindow* window = [UIApplication sharedApplication].keyWindow;
    CGRect rect2 = [sender convertRect:rect1 toView:window];         //获取button在window的位置
    
    CGRect rect3 = CGRectInset(rect2, -0.5 * 8, -0.5 * 8);
    
    CGPoint point;
    //获取控件相对于window的   中心点坐标
    point = CGPointMake(rect3.origin.x + rect3.size.width / 2 ,rect3.origin.y + rect3.size.height / 2  );
    
    LCArrowTableView * _popView = [[LCArrowTableView alloc] initWithFrame:CGRectMake(0, 0, ScreenSize.width, ScreenSize.height) Origin:point Width:120 Height:72 Type:Type_UpRight Color:[UIColor colorWithRed:0.2737 green:0.2737 blue:0.2737 alpha:1.0] ];
    
    _popView.backView.layer.cornerRadius = 5;
    
    _popView.dataArray       = @[@"测试1", @"测试2"];
    _popView.images          = @[@"1",@"2"];
    
    _popView.row_height      = 36;
    _popView.delegate        = self;
    _popView.titleTextColor  = [UIColor colorWithRed:0.2669 green:0.765 blue:1.0 alpha:1.0];
    [_popView popView];
    
}
- (IBAction)downLeftAction:(UIButton *)sender {
    
    
    CGRect rect1 = [sender convertRect:sender.frame fromView:self.view];
    UIWindow* window = [UIApplication sharedApplication].keyWindow;
    CGRect rect2 = [sender convertRect:rect1 toView:window];         //获取button在window的位置
    
    CGRect rect3 = CGRectInset(rect2, -0.5 * 8, -0.5 * 8);
    
    CGPoint point;
    //获取控件相对于window的   中心点坐标
    point = CGPointMake(rect3.origin.x + rect3.size.width / 2 ,rect3.origin.y + rect3.size.height / 2  );

    LCArrowTableView * _popView = [[LCArrowTableView alloc] initWithFrame:CGRectMake(0, 0, ScreenSize.width, ScreenSize.height) Origin:point Width:120 Height:72 Type:Type_DownLeft Color:[UIColor colorWithRed:0.2737 green:0.2737 blue:0.2737 alpha:1.0] ];
    
    _popView.backView.layer.cornerRadius = 5;
    
    _popView.dataArray       = @[@"测试1", @"测试2"];
    _popView.images          = @[@"1",@"2"];
    
    _popView.row_height      = 36;
    _popView.delegate        = self;
    _popView.titleTextColor  = [UIColor colorWithRed:0.2669 green:0.765 blue:1.0 alpha:1.0];
    [_popView popView];
    
}
- (IBAction)downRightAction:(UIButton *)sender {
    
    
    CGRect rect1 = [sender convertRect:sender.frame fromView:self.view];
    UIWindow* window = [UIApplication sharedApplication].keyWindow;
    CGRect rect2 = [sender convertRect:rect1 toView:window];         //获取button在window的位置
    
    CGRect rect3 = CGRectInset(rect2, -0.5 * 8, -0.5 * 8);
    
    CGPoint point;
    
    //获取控件相对于window的   中心点坐标
    point = CGPointMake(rect3.origin.x + rect3.size.width / 2 ,rect3.origin.y + rect3.size.height / 2  );
    

    LCArrowTableView * _popView = [[LCArrowTableView alloc] initWithFrame:CGRectMake(0, 0, ScreenSize.width, ScreenSize.height) Origin:point Width:120 Height:72 Type:Type_DownRight Color:[UIColor colorWithRed:0.2737 green:0.2737 blue:0.2737 alpha:1.0] ];
    
    _popView.backView.layer.cornerRadius = 5;
    
    _popView.dataArray       = @[@"测试1", @"测试2"];
    _popView.images          = @[@"1",@"2"];
    
    _popView.row_height      = 36;
    _popView.delegate        = self;
    _popView.titleTextColor  = [UIColor colorWithRed:0.2669 green:0.765 blue:1.0 alpha:1.0];
    [_popView popView];
    
    
    
}
#pragma mark 气泡的Delegate

- (void)selectIndexPathRow:(NSInteger )index{
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
